"""pedasi URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path

from profiles.views import IndexView


urlpatterns = [
    path('admin/', admin.site.urls),

    path('',
         IndexView.as_view(),
         name='index'),

    path('profiles/',
         include('profiles.urls',
                 namespace='profiles')
         ),

    path('applications/',
         include('applications.urls',
                 namespace='applications')
         ),

    path('datasources/',
         include('datasources.urls',
                 namespace='datasources')
         ),

    path('api/',
         include('api.urls',
                 namespace='api')),

    path('search/',
         include('haystack.urls')),

    path('social/',
         include('social_django.urls',
                 namespace='social')),
]
